Package org.gradle.api

## Interface ActionConfiguration

- All Known Subinterfaces:
    `WorkerConfiguration`

      public interface ActionConfiguration

  Allows specification of configuration for some action.

  The configuration is represented using zero or more initialization parameters to use when constructing an instance of the implementation class. The following types are supported:

  - `String`
  - `Boolean`
  - `Integer`, `Long`, `Short` and other `Number` subtypes.
  - `File`
  - A `List` or `Set` of any supported type.
  - An array of any supported type.
  - A `Map` with keys and values of any supported type.
  - An `Enum` type.
  - A `Named` type created using `ObjectFactory.named(Class, String)`.
  - Any serializable type.
  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object[]` | `getParams()` | Gets the initialization parameters that will be used when constructing an instance of the implementation class.
    `void` | `params​(java.lang.Object... params)` | Adds initialization parameters to use when constructing an instance of the implementation class.
    `void` | `setParams​(java.lang.Object... params)` | Sets any initialization parameters to use when constructing an instance of the implementation class.

- - ### Method Detail

    - #### params

          void params​(java.lang.Object... params)

      Adds initialization parameters to use when constructing an instance of the implementation class.
      Parameters:
        `params` - - the parameters to use during construction

    - #### setParams

          void setParams​(java.lang.Object... params)

      Sets any initialization parameters to use when constructing an instance of the implementation class.
      Parameters:
        `params` - - the parameters to use during construction

    - #### getParams

          java.lang.Object[] getParams()

      Gets the initialization parameters that will be used when constructing an instance of the implementation class.
      Returns:
        the parameters to use during construction